libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.24. __nv_clzll

Prototype:

    i32 @__nv_clzll(i64 %x)

Description:

Count the number of consecutive leading zero bits, starting at the most significant bit (bit 63) of `x`.

Returns:

Returns a value between 0 and 64 inclusive representing the number of zero bits.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes